Bug 144519 - [UPDATE] finance/aqbanking: Update to 4.2.4, take maintainership
Summary: [UPDATE] finance/aqbanking: Update to 4.2.4, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-07 02:10 UTC by Jason E. Hale
Modified: 2010-03-10 03:50 UTC (History)
0 users

See Also:


Attachments
2010-03-06-aqbanking.diff (24.06 KB, patch)
2010-03-07 02:10 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2010-03-07 02:10:01 UTC
- Update finance/aqbanking to version 4.2.4
- Take maintainership
- Support Qt 3.x and Qt 4.x frontends
- devel/gwenhywfar needs updated first, Makefile uses new shlib version
- shlib version needs bumped in finance/gnucash

How-To-Repeat: Use attached diff.
Remove:
files/patch-src-frontends-qbanking-lib-gui-Makefile.in
files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in
Add:
files/patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in
Comment 1 Dima Panov freebsd_committer 2010-03-07 10:12:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fluffy

I'll take it.
Comment 2 Jason E. Hale 2010-03-07 22:28:27 UTC
Fix pkg-plist, enable QT4 by default

--- 2010-03-07-aqbanking.diff begins here ---
diff -ruN aqbanking.orig/Makefile aqbanking/Makefile
--- aqbanking.orig/Makefile	2010-02-05 06:36:52.000000000 -0500
+++ aqbanking/Makefile	2010-03-07 17:06:59.000000000 -0500
@@ -6,50 +6,90 @@
 #
 
 PORTNAME=	aqbanking
-PORTVERSION=	4.1.0
-PORTREVISION=	2
+PORTVERSION=	4.2.4
 CATEGORIES=	finance
 MASTER_SITES=	http://www2.aquamaniac.de/sites/download/
-DISTFILES=	
download.php\?package=03\&release=37\&file=01\&dummy=aqbanking-${PORTVERSION}.tar.gz
+DISTFILES=	
download.php\?package=03\&release=50\&file=01\&dummy=${DISTNAME}${EXTRACT_SUFX}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	bsdkaffee@gmail.com
 COMMENT=	Online banking interface and financial data framework
 
-LIB_DEPENDS=	gwenhywfar.56:${PORTSDIR}/devel/gwenhywfar \
+LIB_DEPENDS=	gwenhywfar.58:${PORTSDIR}/devel/gwenhywfar \
 		gmp.8:${PORTSDIR}/math/libgmp4
 
-OPTIONS=	KTOBLZCHECK	"KtoBlzCheck support"	off
-
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
-USE_QT_VER=	3
-QT_NONSTANDARD=	special flags for threading
 MAKE_JOBS_UNSAFE=	yes
 
 CFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-CONFIGURE_ENV+=	LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}"
-CONFIGURE_ENV+=	QTDIR="${QT_PREFIX}"
-CONFIGURE_ARGS+=	--with-frontends="cbanking qbanking"
+LDFLAGS+=	-L${LOCALBASE}/lib
+CONFIGURE_ENV+=	CPPFLAGS="${CPPFLAGS}" \
+		LDFLAGS="${LDFLAGS}"
 
 USE_LDCONFIG=	${PREFIX}/lib/aqbanking/plugins/29/bankinfo \
-		${PREFIX}/lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules\
 		${PREFIX}/lib/aqbanking/plugins/29/imexporters \
 		${PREFIX}/lib/aqbanking/plugins/29/providers \
 		${PREFIX}/lib
 
-.include <bsd.port.pre.mk>
+OPTIONS=	KTOBLZCHECK "KtoBlzCheck support" off \
+		QT3 "Build QT3 frontend" off \
+		QT4 "Build QT4 frontend" on
+
+.include <bsd.port.options.mk>
 
 # no configure option to disable ktoblzcheck support (yet)
 .if defined(WITH_KTOBLZCHECK) || exists(${LOCALBASE}/lib/libktoblzcheck.so.4)
 LIB_DEPENDS+=	ktoblzcheck.6:${PORTSDIR}/finance/ktoblzcheck
 .endif
 
-post-patch:
-	@${REINPLACE_CMD} -e "s|echo aout|echo elf|g" ${WRKSRC}/configure
+.if !defined(WITH_QT3) && !defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends=""
+.elif defined(WITH_QT3) && !defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends="qbanking"
+.elif !defined(WITH_QT3) && defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends="q4banking"
+.endif
+
+.if defined(WITH_QT3)
+USE_QT_VER=	3
+QT_NONSTANDARD=	yes
+CONFIGURE_ENV+=	LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}" \
+		QTDIR="${QT_PREFIX}"
+USE_LDCONFIG+=	
${PREFIX}/lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
+PLIST_SUB+=	WITH_QT3=""
+.else
+PLIST_SUB+=     WITH_QT3="@comment "
+.endif
+
+.if defined(WITH_QT4)
+#USE_QT_VER=    4
+#QT_COMPONENTS= gui qt3support moc_build uic_build
+QT_NONSTANDARD=	yes
+.include "${PORTSDIR}/Mk/bsd.qt.mk"
+BUILD_DEPENDS+=	moc-qt4:${PORTSDIR}/devel/qt4-moc \
+		uic-qt4:${PORTSDIR}/devel/qt4-uic
+LIB_DEPENDS+=	QtGui.4:${PORTSDIR}/x11-toolkits/qt4-gui \
+		Qt3Support.4:${PORTSDIR}/devel/qt4-qt3support
+CONFIGURE_ENV+= LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}" \
+		QTDIR="${QT_PREFIX}"
+USE_LDCONFIG+=	
${PREFIX}/lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules
+PLIST_SUB+=	WITH_QT4=""
+.else
+PLIST_SUB+=     WITH_QT4="@comment "
+.endif
 
 post-install:
+# install dummy files for directories shared between QT3 & QT4 frontends
+.for dir in 	lib/aqbanking/plugins/29/debugger \
+		lib/aqbanking/plugins/29/debugger/aqhbci \
+		lib/aqbanking/plugins/29/frontends \
+		lib/aqbanking/plugins/29/wizards \
+		share/aqbanking/frontends
+			${MKDIR} ${PREFIX}/${dir}
+			${TOUCH} ${PREFIX}/${dir}/.keep_me
+.endfor
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN aqbanking.orig/distinfo aqbanking/distinfo
--- aqbanking.orig/distinfo	2009-06-22 16:19:08.000000000 -0400
+++ aqbanking/distinfo	2010-03-06 19:20:43.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) 
= 247089ccffad60baebc35390315e49d2
-SHA256 
(download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) = 
b347d22a40a4f60ac5ef49f429b0bb085e26350d3d36900abbbc80023762623a
-SIZE 
(download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) = 
3856295
+MD5 (download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) 
= 244f5c6e470b55452d9f2cb6c081c137
+SHA256 
(download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) = 
e35507a10a635ad0a8d51aebf12e033620e7bd6a40705440f468b952c8d62106
+SIZE 
(download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) = 
4383744
diff -ruN aqbanking.orig/files/patch-src-frontends-qbanking-lib-gui-
Makefile.in aqbanking/files/patch-src-frontends-qbanking-lib-gui-Makefile.in
--- aqbanking.orig/files/patch-src-frontends-qbanking-lib-gui-Makefile.in	
2009-05-11 16:42:18.000000000 -0400
+++ aqbanking/files/patch-src-frontends-qbanking-lib-gui-Makefile.in	
1969-12-31 19:00:00.000000000 -0500
@@ -1,14 +0,0 @@
---- src/frontends/qbanking/lib/gui/Makefile.in.orig	2008-11-08 
06:18:10.000000000 -0800
-+++ src/frontends/qbanking/lib/gui/Makefile.in	2008-12-08 
22:07:51.000000000 -0800
-@@ -393,8 +393,9 @@
- with_aqhbci = @with_aqhbci@
- with_qbanking = @with_qbanking@
- INCLUDES = \
-- $(gwenhywfar_includes) $(qt3_includes) -I$(top_builddir)/headers \
-- -I../dialogs -I.. -I$(top_srcdir)/src/libs/aqbanking
-+ -I$(top_builddir)/headers \
-+ -I../dialogs -I.. -I$(top_srcdir)/src/libs/aqbanking \
-+ $(gwenhywfar_includes) $(qt3_includes)
- 
- AM_CPPFLAGS = @visibility_cflags@
- UI_FILES = \
diff -ruN aqbanking.orig/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-
dialogs-Makefile.in aqbanking/files/patch-src-plugins-backends-aqhbci-ui-qt3-
libs-dialogs-Makefile.in
--- aqbanking.orig/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-
dialogs-Makefile.in	2009-05-11 16:42:18.000000000 -0400
+++ aqbanking/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-
Makefile.in	1969-12-31 19:00:00.000000000 -0500
@@ -1,16 +0,0 @@
---- src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/Makefile.in.orig	
2008-11-08 06:18:14.000000000 -0800
-+++ src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/Makefile.in	2008-12-08 
23:17:28.000000000 -0800
-@@ -393,10 +393,11 @@
- with_aqhbci = @with_aqhbci@
- with_qbanking = @with_qbanking@
- SUBDIRS = wizard
--INCLUDES = $(gwenhywfar_includes) $(qt3_includes) \
-+INCLUDES = \
-   -I$(top_builddir)/headers \
-   -I$(srcdir)/.. -I$(srcdir)/wizard \
--  -I.. -Iwizard
-+  -I.. -Iwizard \
-+  $(gwenhywfar_includes) $(qt3_includes)
- 
- UI_FILES = \
-  cfgtabpageuserhbci.ui \
diff -ruN aqbanking.orig/files/patch-
src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in 
aqbanking/files/patch-
src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in
--- aqbanking.orig/files/patch-
src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in	1969-12-31 
19:00:00.000000000 -0500
+++ aqbanking/files/patch-
src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in	2010-03-06 
19:20:43.000000000 -0500
@@ -0,0 +1,11 @@
+--- ./src/plugins/backends/aqofxconnect/ui/qt4/libs/Makefile.in.orig	
2010-03-06 16:25:26.000000000 -0500
++++ ./src/plugins/backends/aqofxconnect/ui/qt4/libs/Makefile.in	2010-03-06 
16:26:05.000000000 -0500
+@@ -425,7 +425,7 @@
+   $(aqofxconnect_internal_libs) \
+   $(aqbanking_internal_libs) \
+   $(q4banking_internal_libs) \
+-  $(gwenhywfar_libs) $(qt3_libs)
++  $(gwenhywfar_libs) $(qt4_libs)
+ 
+ MOC_FILES = \
+  cfgtabpageaccountofx.moc \
diff -ruN aqbanking.orig/pkg-plist aqbanking/pkg-plist
--- aqbanking.orig/pkg-plist	2009-06-22 16:19:08.000000000 -0400
+++ aqbanking/pkg-plist	2010-03-07 17:06:07.000000000 -0500
@@ -2,12 +2,12 @@
 bin/aqbanking-config
 bin/aqhbci-tool4
 bin/hbcixml3
-bin/qb-help8
+%%WITH_QT4%%bin/q4b-help1
+%%WITH_QT3%%bin/qb-help8
 include/aqbanking/abgui.h
 include/aqbanking/account.h
 include/aqbanking/account_be.h
 include/aqbanking/accstatus.h
-include/aqbanking/aqbanking_plugins.h
 include/aqbanking/balance.h
 include/aqbanking/bankinfo.h
 include/aqbanking/bankinfoplugin.h
@@ -89,60 +89,114 @@
 include/aqofxconnect/provider.h
 include/aqofxconnect/user.h
 include/aqofxconnect/version.h
-include/qbanking/api.h
-include/qbanking/banking.h
-include/qbanking/cppgui.h
-include/qbanking/qbaccountlist.h
-include/qbanking/qbanking.h
-include/qbanking/qbbankselector.h
-include/qbanking/qbbankselector.ui.h
-include/qbanking/qbcfgmodule.h
-include/qbanking/qbcfgtab.h
-include/qbanking/qbcfgtab.ui.h
-include/qbanking/qbcfgtabpage.h
-include/qbanking/qbcfgtabpageaccount.h
-include/qbanking/qbcfgtabpageaccountgen.h
-include/qbanking/qbcfgtabpageaccountgen.ui.h
-include/qbanking/qbcfgtabpageaccounts.h
-include/qbanking/qbcfgtabpageaccounts.ui.h
-include/qbanking/qbcfgtabpagebackends.h
-include/qbanking/qbcfgtabpagebackends.ui.h
-include/qbanking/qbcfgtabpageuser.h
-include/qbanking/qbcfgtabpageusergen.h
-include/qbanking/qbcfgtabpageusergen.ui.h
-include/qbanking/qbcfgtabpageusers.h
-include/qbanking/qbcfgtabpageusers.ui.h
-include/qbanking/qbcfgtabsettings.h
-include/qbanking/qbeditaccount.h
-include/qbanking/qbedituser.h
-include/qbanking/qbflagstaff.h
-include/qbanking/qbgui.h
-include/qbanking/qbimporter.h
-include/qbanking/qbimporter.ui.h
-include/qbanking/qbjoblist.h
-include/qbanking/qbmapaccount.h
-include/qbanking/qbmapaccount.ui.h
-include/qbanking/qbpickstartdate.h
-include/qbanking/qbpickstartdate.ui.h
-include/qbanking/qbplugindescrlist.h
-include/qbanking/qbprintdialog.h
-include/qbanking/qbprintdialog.ui.h
-include/qbanking/qbprocesswatcher.h
-include/qbanking/qbprocesswatcher.ui.h
-include/qbanking/qbselectbackend.h
-include/qbanking/qbselectbackend.ui.h
-include/qbanking/qbselectbank.h
-include/qbanking/qbselectbank.ui.h
-include/qbanking/qbselectfromlist.h
-include/qbanking/qbselectfromlist.ui.h
-include/qbanking/qbuserlist.h
-include/qbanking/qgui.h
-include/qbanking/qguiinputbox.h
-include/qbanking/qguiprogress.h
-include/qbanking/qguiprogresswidget.h
-include/qbanking/qguiprogresswidget.ui.h
-include/qbanking/qguisimplebox.h
-include/qbanking/qguisimplebox.ui.h
+%%WITH_QT4%%include/q4banking/api.h
+%%WITH_QT4%%include/q4banking/banking.h
+%%WITH_QT4%%include/q4banking/cppgui.h
+%%WITH_QT4%%include/q4banking/qbaccountlist.h
+%%WITH_QT4%%include/q4banking/qbanking.h
+%%WITH_QT4%%include/q4banking/qbbankselector.h
+%%WITH_QT4%%include/q4banking/qbbankselector.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgmodule.h
+%%WITH_QT4%%include/q4banking/qbcfgtab.h
+%%WITH_QT4%%include/q4banking/qbcfgtab.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpage.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccount.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccountgen.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccountgen.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccounts.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccounts.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpagebackends.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpagebackends.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageuser.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusergen.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusergen.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusers.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusers.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabsettings.h
+%%WITH_QT4%%include/q4banking/qbeditaccount.h
+%%WITH_QT4%%include/q4banking/qbedituser.h
+%%WITH_QT4%%include/q4banking/qbflagstaff.h
+%%WITH_QT4%%include/q4banking/qbgui.h
+%%WITH_QT4%%include/q4banking/qbimporter.h
+%%WITH_QT4%%include/q4banking/qbimporter.ui.h
+%%WITH_QT4%%include/q4banking/qbjoblist.h
+%%WITH_QT4%%include/q4banking/qbmapaccount.h
+%%WITH_QT4%%include/q4banking/qbmapaccount.ui.h
+%%WITH_QT4%%include/q4banking/qbpickstartdate.h
+%%WITH_QT4%%include/q4banking/qbpickstartdate.ui.h
+%%WITH_QT4%%include/q4banking/qbplugindescrlist.h
+%%WITH_QT4%%include/q4banking/qbprintdialog.h
+%%WITH_QT4%%include/q4banking/qbprintdialog.ui.h
+%%WITH_QT4%%include/q4banking/qbprocesswatcher.h
+%%WITH_QT4%%include/q4banking/qbprocesswatcher.ui.h
+%%WITH_QT4%%include/q4banking/qbselectbackend.h
+%%WITH_QT4%%include/q4banking/qbselectbackend.ui.h
+%%WITH_QT4%%include/q4banking/qbselectbank.h
+%%WITH_QT4%%include/q4banking/qbselectbank.ui.h
+%%WITH_QT4%%include/q4banking/qbselectfromlist.h
+%%WITH_QT4%%include/q4banking/qbselectfromlist.ui.h
+%%WITH_QT4%%include/q4banking/qbuserlist.h
+%%WITH_QT4%%include/q4banking/qgui.h
+%%WITH_QT4%%include/q4banking/qguiinputbox.h
+%%WITH_QT4%%include/q4banking/qguiprogress.h
+%%WITH_QT4%%include/q4banking/qguiprogresswidget.h
+%%WITH_QT4%%include/q4banking/qguiprogresswidget.ui.h
+%%WITH_QT4%%include/q4banking/qguisimplebox.h
+%%WITH_QT4%%include/q4banking/qguisimplebox.ui.h
+%%WITH_QT3%%include/qbanking/api.h
+%%WITH_QT3%%include/qbanking/banking.h
+%%WITH_QT3%%include/qbanking/cppgui.h
+%%WITH_QT3%%include/qbanking/qbaccountlist.h
+%%WITH_QT3%%include/qbanking/qbanking.h
+%%WITH_QT3%%include/qbanking/qbbankselector.h
+%%WITH_QT3%%include/qbanking/qbbankselector.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgmodule.h
+%%WITH_QT3%%include/qbanking/qbcfgtab.h
+%%WITH_QT3%%include/qbanking/qbcfgtab.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpage.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccount.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccountgen.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccountgen.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccounts.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccounts.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpagebackends.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpagebackends.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageuser.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusergen.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusergen.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusers.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusers.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabsettings.h
+%%WITH_QT3%%include/qbanking/qbeditaccount.h
+%%WITH_QT3%%include/qbanking/qbedituser.h
+%%WITH_QT3%%include/qbanking/qbflagstaff.h
+%%WITH_QT3%%include/qbanking/qbgui.h
+%%WITH_QT3%%include/qbanking/qbimporter.h
+%%WITH_QT3%%include/qbanking/qbimporter.ui.h
+%%WITH_QT3%%include/qbanking/qbjoblist.h
+%%WITH_QT3%%include/qbanking/qbmapaccount.h
+%%WITH_QT3%%include/qbanking/qbmapaccount.ui.h
+%%WITH_QT3%%include/qbanking/qbpickstartdate.h
+%%WITH_QT3%%include/qbanking/qbpickstartdate.ui.h
+%%WITH_QT3%%include/qbanking/qbplugindescrlist.h
+%%WITH_QT3%%include/qbanking/qbprintdialog.h
+%%WITH_QT3%%include/qbanking/qbprintdialog.ui.h
+%%WITH_QT3%%include/qbanking/qbprocesswatcher.h
+%%WITH_QT3%%include/qbanking/qbprocesswatcher.ui.h
+%%WITH_QT3%%include/qbanking/qbselectbackend.h
+%%WITH_QT3%%include/qbanking/qbselectbackend.ui.h
+%%WITH_QT3%%include/qbanking/qbselectbank.h
+%%WITH_QT3%%include/qbanking/qbselectbank.ui.h
+%%WITH_QT3%%include/qbanking/qbselectfromlist.h
+%%WITH_QT3%%include/qbanking/qbselectfromlist.ui.h
+%%WITH_QT3%%include/qbanking/qbuserlist.h
+%%WITH_QT3%%include/qbanking/qgui.h
+%%WITH_QT3%%include/qbanking/qguiinputbox.h
+%%WITH_QT3%%include/qbanking/qguiprogress.h
+%%WITH_QT3%%include/qbanking/qguiprogresswidget.h
+%%WITH_QT3%%include/qbanking/qguiprogresswidget.ui.h
+%%WITH_QT3%%include/qbanking/qguisimplebox.h
+%%WITH_QT3%%include/qbanking/qguisimplebox.ui.h
 lib/aqbanking/plugins/29/bankinfo/at.la
 lib/aqbanking/plugins/29/bankinfo/at.so
 lib/aqbanking/plugins/29/bankinfo/at.xml
@@ -158,14 +212,25 @@
 lib/aqbanking/plugins/29/bankinfo/us.la
 lib/aqbanking/plugins/29/bankinfo/us.so
 lib/aqbanking/plugins/29/bankinfo/us.xml
-lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt3-debug
-lib/aqbanking/plugins/29/debugger/aqhbci/qt_debug.xml
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.la
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so.0
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.la
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so.0
+lib/aqbanking/plugins/29/debugger/.keep_me
+lib/aqbanking/plugins/29/debugger/aqhbci/.keep_me
+%%WITH_QT3%%lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt3-debug
+%%WITH_QT4%%lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt4-debug
+%%WITH_QT4%%lib/aqbanking/plugins/29/debugger/aqhbci/qt4_debug.xml
+%%WITH_QT3%%lib/aqbanking/plugins/29/debugger/aqhbci/qt_debug.xml
+lib/aqbanking/plugins/29/frontends/.keep_me
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.la
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.so
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.so.0
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.la
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.so
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.so.0
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.la
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so.0
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.la
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so.0
 lib/aqbanking/plugins/29/imexporters/csv.la
 lib/aqbanking/plugins/29/imexporters/csv.so
 lib/aqbanking/plugins/29/imexporters/csv.xml
@@ -205,8 +270,11 @@
 lib/aqbanking/plugins/29/providers/aqofxconnect.la
 lib/aqbanking/plugins/29/providers/aqofxconnect.so
 lib/aqbanking/plugins/29/providers/aqofxconnect.xml
-lib/aqbanking/plugins/29/wizards/qt3-wizard
-lib/aqbanking/plugins/29/wizards/qt3_wizard.xml
+lib/aqbanking/plugins/29/wizards/.keep_me
+%%WITH_QT3%%lib/aqbanking/plugins/29/wizards/qt3-wizard
+%%WITH_QT3%%lib/aqbanking/plugins/29/wizards/qt3_wizard.xml
+%%WITH_QT4%%lib/aqbanking/plugins/29/wizards/qt4-wizard
+%%WITH_QT4%%lib/aqbanking/plugins/29/wizards/qt4_wizard.xml
 lib/gwenhywfar/plugins/47/dbio/dtaus.la
 lib/gwenhywfar/plugins/47/dbio/dtaus.so
 lib/gwenhywfar/plugins/47/dbio/dtaus.xml
@@ -215,19 +283,22 @@
 lib/gwenhywfar/plugins/47/dbio/swift.xml
 lib/libaqbanking.la
 lib/libaqbanking.so
-lib/libaqbanking.so.30
+lib/libaqbanking.so.31
 lib/libaqhbci.la
 lib/libaqhbci.so
-lib/libaqhbci.so.16
+lib/libaqhbci.so.17
 lib/libaqnone.la
 lib/libaqnone.so
-lib/libaqnone.so.30
+lib/libaqnone.so.31
 lib/libaqofxconnect.la
 lib/libaqofxconnect.so
 lib/libaqofxconnect.so.5
-lib/libqbanking.la
-lib/libqbanking.so
-lib/libqbanking.so.8
+%%WITH_QT4%%lib/libq4banking.la
+%%WITH_QT4%%lib/libq4banking.so
+%%WITH_QT4%%lib/libq4banking.so.1
+%%WITH_QT3%%lib/libqbanking.la
+%%WITH_QT3%%lib/libqbanking.so
+%%WITH_QT3%%lib/libqbanking.so.8
 libdata/pkgconfig/aqbanking.pc
 share/aclocal/aqbanking.m4
 share/aqbanking/backends/aqhbci/hbci.xml
@@ -251,21 +322,33 @@
 share/aqbanking/bankinfo/us/bic.idx
 share/aqbanking/bankinfo/us/blz.idx
 share/aqbanking/bankinfo/us/namloc.idx
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-2.png
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-3.png
-share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-2.png
-share/aqbanking/frontends/qbanking/help/de/images/qbedituser-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbedituser-2.png
-share/aqbanking/frontends/qbanking/help/de/qbcfgtabsettings.html
-share/aqbanking/frontends/qbanking/help/de/qbeditaccount.html
-share/aqbanking/frontends/qbanking/help/de/qbedituser.html
-share/aqbanking/i18n/de.qm
+share/aqbanking/frontends/.keep_me
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-3.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbeditaccount-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbeditaccount-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbedituser-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbedituser-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbcfgtabsettings.html
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbeditaccount.html
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbedituser.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-3.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbedituser-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbedituser-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbcfgtabsettings.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbeditaccount.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbedituser.html
+%%WITH_QT3%%share/aqbanking/i18n/de.qm
 share/aqbanking/imexporters/csv/profiles/amex.conf
 share/aqbanking/imexporters/csv/profiles/aqmoney1.conf
 share/aqbanking/imexporters/csv/profiles/aqmoney2.conf
 share/aqbanking/imexporters/csv/profiles/bankaustria.conf
+share/aqbanking/imexporters/csv/profiles/cli-transfers.conf
 share/aqbanking/imexporters/csv/profiles/comdirect.conf
 share/aqbanking/imexporters/csv/profiles/default.conf
 share/aqbanking/imexporters/csv/profiles/diba.conf
@@ -275,7 +358,9 @@
 share/aqbanking/imexporters/csv/profiles/lbbberlin.conf
 share/aqbanking/imexporters/csv/profiles/mijnpostbank.conf
 share/aqbanking/imexporters/csv/profiles/oko.conf
+share/aqbanking/imexporters/csv/profiles/postbankffm.conf
 share/aqbanking/imexporters/csv/profiles/psk.conf
+share/aqbanking/imexporters/csv/profiles/sns.conf
 share/aqbanking/imexporters/csv/profiles/sparda.conf
 share/aqbanking/imexporters/csv/profiles/spk-aachen.conf
 share/aqbanking/imexporters/csv/profiles/spk-steiermark.conf
@@ -328,11 +413,15 @@
 @dirrm share/aqbanking/imexporters/csv/profiles
 @dirrm share/aqbanking/imexporters/csv
 @dirrm share/aqbanking/imexporters
-@dirrm share/aqbanking/i18n
-@dirrm share/aqbanking/frontends/qbanking/help/de/images
-@dirrm share/aqbanking/frontends/qbanking/help/de
-@dirrm share/aqbanking/frontends/qbanking/help
-@dirrm share/aqbanking/frontends/qbanking
+%%WITH_QT3%%@dirrm share/aqbanking/i18n
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help/de/images
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help/de
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help/de/images
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help/de
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking
 @dirrm share/aqbanking/frontends
 @dirrm share/aqbanking/bankinfo/us
 @dirrm share/aqbanking/bankinfo/de
@@ -346,8 +435,10 @@
 @dirrm lib/aqbanking/plugins/29/wizards
 @dirrm lib/aqbanking/plugins/29/providers
 @dirrm lib/aqbanking/plugins/29/imexporters
-@dirrm lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
-@dirrm lib/aqbanking/plugins/29/frontends/qbanking
+%%WITH_QT3%%@dirrm lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
+%%WITH_QT3%%@dirrm lib/aqbanking/plugins/29/frontends/qbanking
+%%WITH_QT4%%@dirrm lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules
+%%WITH_QT4%%@dirrm lib/aqbanking/plugins/29/frontends/q4banking
 @dirrm lib/aqbanking/plugins/29/frontends
 @dirrm lib/aqbanking/plugins/29/debugger/aqhbci
 @dirrm lib/aqbanking/plugins/29/debugger
@@ -355,7 +446,8 @@
 @dirrm lib/aqbanking/plugins/29
 @dirrm lib/aqbanking/plugins
 @dirrm lib/aqbanking
-@dirrm include/qbanking
+%%WITH_QT3%%@dirrm include/qbanking
+%%WITH_QT4%%@dirrm include/q4banking
 @dirrm include/aqofxconnect
 @dirrm include/aqhbci
 @dirrm include/aqbanking
--- 2010-03-06-aqbanking.diff ends here ---
Comment 3 Jason E. Hale 2010-03-09 04:06:39 UTC
I think I accidentally left the wordwrap on.  Please use this diff instead.

--- 2010-03-07-aqbanking.diff begins here ---
diff -ruN aqbanking.orig/Makefile aqbanking/Makefile
--- aqbanking.orig/Makefile	2010-02-05 06:36:52.000000000 -0500
+++ aqbanking/Makefile	2010-03-07 17:06:59.000000000 -0500
@@ -6,50 +6,90 @@
 #
 
 PORTNAME=	aqbanking
-PORTVERSION=	4.1.0
-PORTREVISION=	2
+PORTVERSION=	4.2.4
 CATEGORIES=	finance
 MASTER_SITES=	http://www2.aquamaniac.de/sites/download/
-DISTFILES=	download.php\?package=03\&release=37\&file=01\&dummy=aqbanking-${PORTVERSION}.tar.gz
+DISTFILES=	download.php\?package=03\&release=50\&file=01\&dummy=${DISTNAME}${EXTRACT_SUFX}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	bsdkaffee@gmail.com
 COMMENT=	Online banking interface and financial data framework
 
-LIB_DEPENDS=	gwenhywfar.56:${PORTSDIR}/devel/gwenhywfar \
+LIB_DEPENDS=	gwenhywfar.58:${PORTSDIR}/devel/gwenhywfar \
 		gmp.8:${PORTSDIR}/math/libgmp4
 
-OPTIONS=	KTOBLZCHECK	"KtoBlzCheck support"	off
-
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
-USE_QT_VER=	3
-QT_NONSTANDARD=	special flags for threading
 MAKE_JOBS_UNSAFE=	yes
 
 CFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-CONFIGURE_ENV+=	LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}"
-CONFIGURE_ENV+=	QTDIR="${QT_PREFIX}"
-CONFIGURE_ARGS+=	--with-frontends="cbanking qbanking"
+LDFLAGS+=	-L${LOCALBASE}/lib
+CONFIGURE_ENV+=	CPPFLAGS="${CPPFLAGS}" \
+		LDFLAGS="${LDFLAGS}"
 
 USE_LDCONFIG=	${PREFIX}/lib/aqbanking/plugins/29/bankinfo \
-		${PREFIX}/lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules\
 		${PREFIX}/lib/aqbanking/plugins/29/imexporters \
 		${PREFIX}/lib/aqbanking/plugins/29/providers \
 		${PREFIX}/lib
 
-.include <bsd.port.pre.mk>
+OPTIONS=	KTOBLZCHECK "KtoBlzCheck support" off \
+		QT3 "Build QT3 frontend" off \
+		QT4 "Build QT4 frontend" on
+
+.include <bsd.port.options.mk>
 
 # no configure option to disable ktoblzcheck support (yet)
 .if defined(WITH_KTOBLZCHECK) || exists(${LOCALBASE}/lib/libktoblzcheck.so.4)
 LIB_DEPENDS+=	ktoblzcheck.6:${PORTSDIR}/finance/ktoblzcheck
 .endif
 
-post-patch:
-	@${REINPLACE_CMD} -e "s|echo aout|echo elf|g" ${WRKSRC}/configure
+.if !defined(WITH_QT3) && !defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends=""
+.elif defined(WITH_QT3) && !defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends="qbanking"
+.elif !defined(WITH_QT3) && defined(WITH_QT4)
+CONFIGURE_ARGS+=--with-frontends="q4banking"
+.endif
+
+.if defined(WITH_QT3)
+USE_QT_VER=	3
+QT_NONSTANDARD=	yes
+CONFIGURE_ENV+=	LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}" \
+		QTDIR="${QT_PREFIX}"
+USE_LDCONFIG+=	${PREFIX}/lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
+PLIST_SUB+=	WITH_QT3=""
+.else
+PLIST_SUB+=     WITH_QT3="@comment "
+.endif
+
+.if defined(WITH_QT4)
+#USE_QT_VER=    4
+#QT_COMPONENTS= gui qt3support moc_build uic_build
+QT_NONSTANDARD=	yes
+.include "${PORTSDIR}/Mk/bsd.qt.mk"
+BUILD_DEPENDS+=	moc-qt4:${PORTSDIR}/devel/qt4-moc \
+		uic-qt4:${PORTSDIR}/devel/qt4-uic
+LIB_DEPENDS+=	QtGui.4:${PORTSDIR}/x11-toolkits/qt4-gui \
+		Qt3Support.4:${PORTSDIR}/devel/qt4-qt3support
+CONFIGURE_ENV+= LIBS="${QTCFGLIBS} ${PTHREAD_LIBS}" \
+		QTDIR="${QT_PREFIX}"
+USE_LDCONFIG+=	${PREFIX}/lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules
+PLIST_SUB+=	WITH_QT4=""
+.else
+PLIST_SUB+=     WITH_QT4="@comment "
+.endif
 
 post-install:
+# install dummy files for directories shared between QT3 & QT4 frontends
+.for dir in 	lib/aqbanking/plugins/29/debugger \
+		lib/aqbanking/plugins/29/debugger/aqhbci \
+		lib/aqbanking/plugins/29/frontends \
+		lib/aqbanking/plugins/29/wizards \
+		share/aqbanking/frontends
+			${MKDIR} ${PREFIX}/${dir}
+			${TOUCH} ${PREFIX}/${dir}/.keep_me
+.endfor
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN aqbanking.orig/distinfo aqbanking/distinfo
--- aqbanking.orig/distinfo	2009-06-22 16:19:08.000000000 -0400
+++ aqbanking/distinfo	2010-03-06 19:20:43.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) = 247089ccffad60baebc35390315e49d2
-SHA256 (download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) = b347d22a40a4f60ac5ef49f429b0bb085e26350d3d36900abbbc80023762623a
-SIZE (download.php?package=03&release=37&file=01&dummy=aqbanking-4.1.0.tar.gz) = 3856295
+MD5 (download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) = 244f5c6e470b55452d9f2cb6c081c137
+SHA256 (download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) = e35507a10a635ad0a8d51aebf12e033620e7bd6a40705440f468b952c8d62106
+SIZE (download.php?package=03&release=50&file=01&dummy=aqbanking-4.2.4.tar.gz) = 4383744
diff -ruN aqbanking.orig/files/patch-src-frontends-qbanking-lib-gui-Makefile.in aqbanking/files/patch-src-frontends-qbanking-lib-gui-Makefile.in
--- aqbanking.orig/files/patch-src-frontends-qbanking-lib-gui-Makefile.in	2009-05-11 16:42:18.000000000 -0400
+++ aqbanking/files/patch-src-frontends-qbanking-lib-gui-Makefile.in	1969-12-31 19:00:00.000000000 -0500
@@ -1,14 +0,0 @@
---- src/frontends/qbanking/lib/gui/Makefile.in.orig	2008-11-08 06:18:10.000000000 -0800
-+++ src/frontends/qbanking/lib/gui/Makefile.in	2008-12-08 22:07:51.000000000 -0800
-@@ -393,8 +393,9 @@
- with_aqhbci = @with_aqhbci@
- with_qbanking = @with_qbanking@
- INCLUDES = \
-- $(gwenhywfar_includes) $(qt3_includes) -I$(top_builddir)/headers \
-- -I../dialogs -I.. -I$(top_srcdir)/src/libs/aqbanking
-+ -I$(top_builddir)/headers \
-+ -I../dialogs -I.. -I$(top_srcdir)/src/libs/aqbanking \
-+ $(gwenhywfar_includes) $(qt3_includes)
- 
- AM_CPPFLAGS = @visibility_cflags@
- UI_FILES = \
diff -ruN aqbanking.orig/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in aqbanking/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-
Makefile.in
--- aqbanking.orig/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in	2009-05-11 16:42:18.000000000 -0400
+++ aqbanking/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in	1969-12-31 19:00:00.000000000 -0500
@@ -1,16 +0,0 @@
---- src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/Makefile.in.orig	2008-11-08 06:18:14.000000000 -0800
-+++ src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/Makefile.in	2008-12-08 23:17:28.000000000 -0800
-@@ -393,10 +393,11 @@
- with_aqhbci = @with_aqhbci@
- with_qbanking = @with_qbanking@
- SUBDIRS = wizard
--INCLUDES = $(gwenhywfar_includes) $(qt3_includes) \
-+INCLUDES = \
-   -I$(top_builddir)/headers \
-   -I$(srcdir)/.. -I$(srcdir)/wizard \
--  -I.. -Iwizard
-+  -I.. -Iwizard \
-+  $(gwenhywfar_includes) $(qt3_includes)
- 
- UI_FILES = \
-  cfgtabpageuserhbci.ui \
diff -ruN aqbanking.orig/files/patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in aqbanking/files/patch-
src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in
--- aqbanking.orig/files/patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in	1969-12-31 19:00:00.000000000 -0500
+++ aqbanking/files/patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in	2010-03-06 19:20:43.000000000 -0500
@@ -0,0 +1,11 @@
+--- ./src/plugins/backends/aqofxconnect/ui/qt4/libs/Makefile.in.orig	2010-03-06 16:25:26.000000000 -0500
++++ ./src/plugins/backends/aqofxconnect/ui/qt4/libs/Makefile.in	2010-03-06 16:26:05.000000000 -0500
+@@ -425,7 +425,7 @@
+   $(aqofxconnect_internal_libs) \
+   $(aqbanking_internal_libs) \
+   $(q4banking_internal_libs) \
+-  $(gwenhywfar_libs) $(qt3_libs)
++  $(gwenhywfar_libs) $(qt4_libs)
+ 
+ MOC_FILES = \
+  cfgtabpageaccountofx.moc \
diff -ruN aqbanking.orig/pkg-plist aqbanking/pkg-plist
--- aqbanking.orig/pkg-plist	2009-06-22 16:19:08.000000000 -0400
+++ aqbanking/pkg-plist	2010-03-07 17:06:07.000000000 -0500
@@ -2,12 +2,12 @@
 bin/aqbanking-config
 bin/aqhbci-tool4
 bin/hbcixml3
-bin/qb-help8
+%%WITH_QT4%%bin/q4b-help1
+%%WITH_QT3%%bin/qb-help8
 include/aqbanking/abgui.h
 include/aqbanking/account.h
 include/aqbanking/account_be.h
 include/aqbanking/accstatus.h
-include/aqbanking/aqbanking_plugins.h
 include/aqbanking/balance.h
 include/aqbanking/bankinfo.h
 include/aqbanking/bankinfoplugin.h
@@ -89,60 +89,114 @@
 include/aqofxconnect/provider.h
 include/aqofxconnect/user.h
 include/aqofxconnect/version.h
-include/qbanking/api.h
-include/qbanking/banking.h
-include/qbanking/cppgui.h
-include/qbanking/qbaccountlist.h
-include/qbanking/qbanking.h
-include/qbanking/qbbankselector.h
-include/qbanking/qbbankselector.ui.h
-include/qbanking/qbcfgmodule.h
-include/qbanking/qbcfgtab.h
-include/qbanking/qbcfgtab.ui.h
-include/qbanking/qbcfgtabpage.h
-include/qbanking/qbcfgtabpageaccount.h
-include/qbanking/qbcfgtabpageaccountgen.h
-include/qbanking/qbcfgtabpageaccountgen.ui.h
-include/qbanking/qbcfgtabpageaccounts.h
-include/qbanking/qbcfgtabpageaccounts.ui.h
-include/qbanking/qbcfgtabpagebackends.h
-include/qbanking/qbcfgtabpagebackends.ui.h
-include/qbanking/qbcfgtabpageuser.h
-include/qbanking/qbcfgtabpageusergen.h
-include/qbanking/qbcfgtabpageusergen.ui.h
-include/qbanking/qbcfgtabpageusers.h
-include/qbanking/qbcfgtabpageusers.ui.h
-include/qbanking/qbcfgtabsettings.h
-include/qbanking/qbeditaccount.h
-include/qbanking/qbedituser.h
-include/qbanking/qbflagstaff.h
-include/qbanking/qbgui.h
-include/qbanking/qbimporter.h
-include/qbanking/qbimporter.ui.h
-include/qbanking/qbjoblist.h
-include/qbanking/qbmapaccount.h
-include/qbanking/qbmapaccount.ui.h
-include/qbanking/qbpickstartdate.h
-include/qbanking/qbpickstartdate.ui.h
-include/qbanking/qbplugindescrlist.h
-include/qbanking/qbprintdialog.h
-include/qbanking/qbprintdialog.ui.h
-include/qbanking/qbprocesswatcher.h
-include/qbanking/qbprocesswatcher.ui.h
-include/qbanking/qbselectbackend.h
-include/qbanking/qbselectbackend.ui.h
-include/qbanking/qbselectbank.h
-include/qbanking/qbselectbank.ui.h
-include/qbanking/qbselectfromlist.h
-include/qbanking/qbselectfromlist.ui.h
-include/qbanking/qbuserlist.h
-include/qbanking/qgui.h
-include/qbanking/qguiinputbox.h
-include/qbanking/qguiprogress.h
-include/qbanking/qguiprogresswidget.h
-include/qbanking/qguiprogresswidget.ui.h
-include/qbanking/qguisimplebox.h
-include/qbanking/qguisimplebox.ui.h
+%%WITH_QT4%%include/q4banking/api.h
+%%WITH_QT4%%include/q4banking/banking.h
+%%WITH_QT4%%include/q4banking/cppgui.h
+%%WITH_QT4%%include/q4banking/qbaccountlist.h
+%%WITH_QT4%%include/q4banking/qbanking.h
+%%WITH_QT4%%include/q4banking/qbbankselector.h
+%%WITH_QT4%%include/q4banking/qbbankselector.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgmodule.h
+%%WITH_QT4%%include/q4banking/qbcfgtab.h
+%%WITH_QT4%%include/q4banking/qbcfgtab.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpage.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccount.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccountgen.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccountgen.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccounts.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageaccounts.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpagebackends.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpagebackends.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageuser.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusergen.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusergen.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusers.h
+%%WITH_QT4%%include/q4banking/qbcfgtabpageusers.ui.h
+%%WITH_QT4%%include/q4banking/qbcfgtabsettings.h
+%%WITH_QT4%%include/q4banking/qbeditaccount.h
+%%WITH_QT4%%include/q4banking/qbedituser.h
+%%WITH_QT4%%include/q4banking/qbflagstaff.h
+%%WITH_QT4%%include/q4banking/qbgui.h
+%%WITH_QT4%%include/q4banking/qbimporter.h
+%%WITH_QT4%%include/q4banking/qbimporter.ui.h
+%%WITH_QT4%%include/q4banking/qbjoblist.h
+%%WITH_QT4%%include/q4banking/qbmapaccount.h
+%%WITH_QT4%%include/q4banking/qbmapaccount.ui.h
+%%WITH_QT4%%include/q4banking/qbpickstartdate.h
+%%WITH_QT4%%include/q4banking/qbpickstartdate.ui.h
+%%WITH_QT4%%include/q4banking/qbplugindescrlist.h
+%%WITH_QT4%%include/q4banking/qbprintdialog.h
+%%WITH_QT4%%include/q4banking/qbprintdialog.ui.h
+%%WITH_QT4%%include/q4banking/qbprocesswatcher.h
+%%WITH_QT4%%include/q4banking/qbprocesswatcher.ui.h
+%%WITH_QT4%%include/q4banking/qbselectbackend.h
+%%WITH_QT4%%include/q4banking/qbselectbackend.ui.h
+%%WITH_QT4%%include/q4banking/qbselectbank.h
+%%WITH_QT4%%include/q4banking/qbselectbank.ui.h
+%%WITH_QT4%%include/q4banking/qbselectfromlist.h
+%%WITH_QT4%%include/q4banking/qbselectfromlist.ui.h
+%%WITH_QT4%%include/q4banking/qbuserlist.h
+%%WITH_QT4%%include/q4banking/qgui.h
+%%WITH_QT4%%include/q4banking/qguiinputbox.h
+%%WITH_QT4%%include/q4banking/qguiprogress.h
+%%WITH_QT4%%include/q4banking/qguiprogresswidget.h
+%%WITH_QT4%%include/q4banking/qguiprogresswidget.ui.h
+%%WITH_QT4%%include/q4banking/qguisimplebox.h
+%%WITH_QT4%%include/q4banking/qguisimplebox.ui.h
+%%WITH_QT3%%include/qbanking/api.h
+%%WITH_QT3%%include/qbanking/banking.h
+%%WITH_QT3%%include/qbanking/cppgui.h
+%%WITH_QT3%%include/qbanking/qbaccountlist.h
+%%WITH_QT3%%include/qbanking/qbanking.h
+%%WITH_QT3%%include/qbanking/qbbankselector.h
+%%WITH_QT3%%include/qbanking/qbbankselector.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgmodule.h
+%%WITH_QT3%%include/qbanking/qbcfgtab.h
+%%WITH_QT3%%include/qbanking/qbcfgtab.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpage.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccount.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccountgen.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccountgen.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccounts.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageaccounts.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpagebackends.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpagebackends.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageuser.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusergen.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusergen.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusers.h
+%%WITH_QT3%%include/qbanking/qbcfgtabpageusers.ui.h
+%%WITH_QT3%%include/qbanking/qbcfgtabsettings.h
+%%WITH_QT3%%include/qbanking/qbeditaccount.h
+%%WITH_QT3%%include/qbanking/qbedituser.h
+%%WITH_QT3%%include/qbanking/qbflagstaff.h
+%%WITH_QT3%%include/qbanking/qbgui.h
+%%WITH_QT3%%include/qbanking/qbimporter.h
+%%WITH_QT3%%include/qbanking/qbimporter.ui.h
+%%WITH_QT3%%include/qbanking/qbjoblist.h
+%%WITH_QT3%%include/qbanking/qbmapaccount.h
+%%WITH_QT3%%include/qbanking/qbmapaccount.ui.h
+%%WITH_QT3%%include/qbanking/qbpickstartdate.h
+%%WITH_QT3%%include/qbanking/qbpickstartdate.ui.h
+%%WITH_QT3%%include/qbanking/qbplugindescrlist.h
+%%WITH_QT3%%include/qbanking/qbprintdialog.h
+%%WITH_QT3%%include/qbanking/qbprintdialog.ui.h
+%%WITH_QT3%%include/qbanking/qbprocesswatcher.h
+%%WITH_QT3%%include/qbanking/qbprocesswatcher.ui.h
+%%WITH_QT3%%include/qbanking/qbselectbackend.h
+%%WITH_QT3%%include/qbanking/qbselectbackend.ui.h
+%%WITH_QT3%%include/qbanking/qbselectbank.h
+%%WITH_QT3%%include/qbanking/qbselectbank.ui.h
+%%WITH_QT3%%include/qbanking/qbselectfromlist.h
+%%WITH_QT3%%include/qbanking/qbselectfromlist.ui.h
+%%WITH_QT3%%include/qbanking/qbuserlist.h
+%%WITH_QT3%%include/qbanking/qgui.h
+%%WITH_QT3%%include/qbanking/qguiinputbox.h
+%%WITH_QT3%%include/qbanking/qguiprogress.h
+%%WITH_QT3%%include/qbanking/qguiprogresswidget.h
+%%WITH_QT3%%include/qbanking/qguiprogresswidget.ui.h
+%%WITH_QT3%%include/qbanking/qguisimplebox.h
+%%WITH_QT3%%include/qbanking/qguisimplebox.ui.h
 lib/aqbanking/plugins/29/bankinfo/at.la
 lib/aqbanking/plugins/29/bankinfo/at.so
 lib/aqbanking/plugins/29/bankinfo/at.xml
@@ -158,14 +212,25 @@
 lib/aqbanking/plugins/29/bankinfo/us.la
 lib/aqbanking/plugins/29/bankinfo/us.so
 lib/aqbanking/plugins/29/bankinfo/us.xml
-lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt3-debug
-lib/aqbanking/plugins/29/debugger/aqhbci/qt_debug.xml
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.la
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so.0
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.la
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so
-lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so.0
+lib/aqbanking/plugins/29/debugger/.keep_me
+lib/aqbanking/plugins/29/debugger/aqhbci/.keep_me
+%%WITH_QT3%%lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt3-debug
+%%WITH_QT4%%lib/aqbanking/plugins/29/debugger/aqhbci/aqhbci-qt4-debug
+%%WITH_QT4%%lib/aqbanking/plugins/29/debugger/aqhbci/qt4_debug.xml
+%%WITH_QT3%%lib/aqbanking/plugins/29/debugger/aqhbci/qt_debug.xml
+lib/aqbanking/plugins/29/frontends/.keep_me
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.la
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.so
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqhbci.so.0
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.la
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.so
+%%WITH_QT4%%lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules/aqofxconnect.so.0
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.la
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqhbci.so.0
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.la
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so
+%%WITH_QT3%%lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules/aqofxconnect.so.0
 lib/aqbanking/plugins/29/imexporters/csv.la
 lib/aqbanking/plugins/29/imexporters/csv.so
 lib/aqbanking/plugins/29/imexporters/csv.xml
@@ -205,8 +270,11 @@
 lib/aqbanking/plugins/29/providers/aqofxconnect.la
 lib/aqbanking/plugins/29/providers/aqofxconnect.so
 lib/aqbanking/plugins/29/providers/aqofxconnect.xml
-lib/aqbanking/plugins/29/wizards/qt3-wizard
-lib/aqbanking/plugins/29/wizards/qt3_wizard.xml
+lib/aqbanking/plugins/29/wizards/.keep_me
+%%WITH_QT3%%lib/aqbanking/plugins/29/wizards/qt3-wizard
+%%WITH_QT3%%lib/aqbanking/plugins/29/wizards/qt3_wizard.xml
+%%WITH_QT4%%lib/aqbanking/plugins/29/wizards/qt4-wizard
+%%WITH_QT4%%lib/aqbanking/plugins/29/wizards/qt4_wizard.xml
 lib/gwenhywfar/plugins/47/dbio/dtaus.la
 lib/gwenhywfar/plugins/47/dbio/dtaus.so
 lib/gwenhywfar/plugins/47/dbio/dtaus.xml
@@ -215,19 +283,22 @@
 lib/gwenhywfar/plugins/47/dbio/swift.xml
 lib/libaqbanking.la
 lib/libaqbanking.so
-lib/libaqbanking.so.30
+lib/libaqbanking.so.31
 lib/libaqhbci.la
 lib/libaqhbci.so
-lib/libaqhbci.so.16
+lib/libaqhbci.so.17
 lib/libaqnone.la
 lib/libaqnone.so
-lib/libaqnone.so.30
+lib/libaqnone.so.31
 lib/libaqofxconnect.la
 lib/libaqofxconnect.so
 lib/libaqofxconnect.so.5
-lib/libqbanking.la
-lib/libqbanking.so
-lib/libqbanking.so.8
+%%WITH_QT4%%lib/libq4banking.la
+%%WITH_QT4%%lib/libq4banking.so
+%%WITH_QT4%%lib/libq4banking.so.1
+%%WITH_QT3%%lib/libqbanking.la
+%%WITH_QT3%%lib/libqbanking.so
+%%WITH_QT3%%lib/libqbanking.so.8
 libdata/pkgconfig/aqbanking.pc
 share/aclocal/aqbanking.m4
 share/aqbanking/backends/aqhbci/hbci.xml
@@ -251,21 +322,33 @@
 share/aqbanking/bankinfo/us/bic.idx
 share/aqbanking/bankinfo/us/blz.idx
 share/aqbanking/bankinfo/us/namloc.idx
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-2.png
-share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-3.png
-share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-2.png
-share/aqbanking/frontends/qbanking/help/de/images/qbedituser-1.png
-share/aqbanking/frontends/qbanking/help/de/images/qbedituser-2.png
-share/aqbanking/frontends/qbanking/help/de/qbcfgtabsettings.html
-share/aqbanking/frontends/qbanking/help/de/qbeditaccount.html
-share/aqbanking/frontends/qbanking/help/de/qbedituser.html
-share/aqbanking/i18n/de.qm
+share/aqbanking/frontends/.keep_me
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbcfgtabsettings-3.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbeditaccount-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbeditaccount-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbedituser-1.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/images/qbedituser-2.png
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbcfgtabsettings.html
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbeditaccount.html
+%%WITH_QT4%%share/aqbanking/frontends/q4banking/help/de/qbedituser.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbcfgtabsettings-3.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbeditaccount-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbedituser-1.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/images/qbedituser-2.png
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbcfgtabsettings.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbeditaccount.html
+%%WITH_QT3%%share/aqbanking/frontends/qbanking/help/de/qbedituser.html
+%%WITH_QT3%%share/aqbanking/i18n/de.qm
 share/aqbanking/imexporters/csv/profiles/amex.conf
 share/aqbanking/imexporters/csv/profiles/aqmoney1.conf
 share/aqbanking/imexporters/csv/profiles/aqmoney2.conf
 share/aqbanking/imexporters/csv/profiles/bankaustria.conf
+share/aqbanking/imexporters/csv/profiles/cli-transfers.conf
 share/aqbanking/imexporters/csv/profiles/comdirect.conf
 share/aqbanking/imexporters/csv/profiles/default.conf
 share/aqbanking/imexporters/csv/profiles/diba.conf
@@ -275,7 +358,9 @@
 share/aqbanking/imexporters/csv/profiles/lbbberlin.conf
 share/aqbanking/imexporters/csv/profiles/mijnpostbank.conf
 share/aqbanking/imexporters/csv/profiles/oko.conf
+share/aqbanking/imexporters/csv/profiles/postbankffm.conf
 share/aqbanking/imexporters/csv/profiles/psk.conf
+share/aqbanking/imexporters/csv/profiles/sns.conf
 share/aqbanking/imexporters/csv/profiles/sparda.conf
 share/aqbanking/imexporters/csv/profiles/spk-aachen.conf
 share/aqbanking/imexporters/csv/profiles/spk-steiermark.conf
@@ -328,11 +413,15 @@
 @dirrm share/aqbanking/imexporters/csv/profiles
 @dirrm share/aqbanking/imexporters/csv
 @dirrm share/aqbanking/imexporters
-@dirrm share/aqbanking/i18n
-@dirrm share/aqbanking/frontends/qbanking/help/de/images
-@dirrm share/aqbanking/frontends/qbanking/help/de
-@dirrm share/aqbanking/frontends/qbanking/help
-@dirrm share/aqbanking/frontends/qbanking
+%%WITH_QT3%%@dirrm share/aqbanking/i18n
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help/de/images
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help/de
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking/help
+%%WITH_QT3%%@dirrm share/aqbanking/frontends/qbanking
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help/de/images
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help/de
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking/help
+%%WITH_QT4%%@dirrm share/aqbanking/frontends/q4banking
 @dirrm share/aqbanking/frontends
 @dirrm share/aqbanking/bankinfo/us
 @dirrm share/aqbanking/bankinfo/de
@@ -346,8 +435,10 @@
 @dirrm lib/aqbanking/plugins/29/wizards
 @dirrm lib/aqbanking/plugins/29/providers
 @dirrm lib/aqbanking/plugins/29/imexporters
-@dirrm lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
-@dirrm lib/aqbanking/plugins/29/frontends/qbanking
+%%WITH_QT3%%@dirrm lib/aqbanking/plugins/29/frontends/qbanking/cfgmodules
+%%WITH_QT3%%@dirrm lib/aqbanking/plugins/29/frontends/qbanking
+%%WITH_QT4%%@dirrm lib/aqbanking/plugins/29/frontends/q4banking/cfgmodules
+%%WITH_QT4%%@dirrm lib/aqbanking/plugins/29/frontends/q4banking
 @dirrm lib/aqbanking/plugins/29/frontends
 @dirrm lib/aqbanking/plugins/29/debugger/aqhbci
 @dirrm lib/aqbanking/plugins/29/debugger
@@ -355,7 +446,8 @@
 @dirrm lib/aqbanking/plugins/29
 @dirrm lib/aqbanking/plugins
 @dirrm lib/aqbanking
-@dirrm include/qbanking
+%%WITH_QT3%%@dirrm include/qbanking
+%%WITH_QT4%%@dirrm include/q4banking
 @dirrm include/aqofxconnect
 @dirrm include/aqhbci
 @dirrm include/aqbanking
--- 2010-03-07-aqbanking.diff endss here ---
Comment 4 dfilter service freebsd_committer 2010-03-10 03:49:41 UTC
fluffy      2010-03-10 03:49:32 UTC

  FreeBSD ports repository

  Modified files:
    finance/aqbanking    Makefile distinfo pkg-plist 
  Added files:
    finance/aqbanking/files 
                            patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in 
  Removed files:
    finance/aqbanking/files 
                            patch-src-frontends-qbanking-lib-gui-Makefile.in 
                            patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in 
  Log:
  - Update to 4.2.4
  - Use QT4 frontend by default (require for upcoming kmymoney-kde4)
  - Pass maintainership to submitter
  
  PR:             144519
  Submitted by:   Jason E. Hale <bsdkaffee AT gmail DOT com>
  
  Revision  Changes    Path
  1.20      +57 -17    ports/finance/aqbanking/Makefile
  1.7       +3 -3      ports/finance/aqbanking/distinfo
  1.2       +0 -14     ports/finance/aqbanking/files/patch-src-frontends-qbanking-lib-gui-Makefile.in (dead)
  1.2       +0 -16     ports/finance/aqbanking/files/patch-src-plugins-backends-aqhbci-ui-qt3-libs-dialogs-Makefile.in (dead)
  1.1       +11 -0     ports/finance/aqbanking/files/patch-src__plugins__backends__aqofxconnect__ui__qt4__libs__Makefile.in (new)
  1.11      +183 -91   ports/finance/aqbanking/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dima Panov freebsd_committer 2010-03-10 03:49:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!